> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-5/retrieve-a-opportunity.md).

# Retrieve a opportunity

**Endpoint**\
`GET /api/opportunities/{opportunity_id}/`

Replace `{opportunity_id}` with the actual ID of the opportunity role you wish to retrieve.

**Example Request**\
`GET /api/opportunities/2f56f3ef-08f5-4e5a-bf5b-76ca8fc4d5f1/`

**Authorization**\
Requests to this endpoint must include an `API-KEY` in the header for authentication:

```python
headers = {"API-KEY": "your_unique_api_key_here"}

response = requests.get(
    "https://api.vomevolunteer.com/api/opportunities/2f56f3ef-08f5-4e5a-bf5b-76ca8fc4d5f1/",
    headers=headers
)
```

**Response Object**\
The response object includes details about a single opportunity role, including its related category and share URL:

```json
{
  "id": "2f56f3ef-08f5-4e5a-bf5b-76ca8fc4d5f1",
  "created_at": "2026-02-05T07:40:29.324645Z",
  "category": {
    "id": "d610ab31-e480-4ef1-9e35-94f94ebacde9",
    "title": "Community Outreach",
    "description": "Programs and roles related to outreach work."
  },
  "title": "Weekend Mentor",
  "description": "Support volunteers during weekend sessions.",
  "share_opportunity_url": "https://api.vomevolunteer.com/api/share/opportunity/73bb56fa-6c7f-4fce-ad5a-32eb1ba215a6"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-5/retrieve-a-opportunity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
